Vairākas Internet Explorer versijas uz vienas sistēmas

Vakar sanāca diskutēt par problēmu, ka nav iespējams notestēt izstrādāto lapu uz vecākām Internet Explorer versijām. Kopā ar Windows XP nāk Internet Explorer 6.x versija un tu kaut izstiepies, bet nespīd tev iespēja uzlikt iepriekšējo IE versiju, jo tā to ir paredzējis visvarenais Microsoft un tā tam būs būt. Attiecīgi uzrakstot perfektu kodu atbilstoši standartiem un pielabojot to priekš IE6 mēs nevaram būt droši, ka tas strādās arī uz IE5. Pēc rūgtās pieredzes varu teikt, ka arī nestrādā, bet notestēt jau nevar, jo tādas iespējas nav, ja neskaita virtuālās darba stacijas vai vairākus datorus.

Bet šodien, gluži kā kāda maģija, laacz, ir uzskrējis vienai ģeniālai pamācībai, kurā ir aprakstīts, kā palaist vairākas Microsoft Internet Explorer versijas uz vienas sistēmas. Microsoft toreiz savā Internet Explorer 5.x versijā piedāvāja iespēju ieķeksēt savietojamību ar iepriekšējo 4.x versiju, bet jaunākajās versijās šī savietojamība izčibēja. Domāju, ka liela daļa webmeistaru uzgavilēs par šo iespēju.

Savukārt gribētu visus pabrīdināt, ka tā ir sava veida oriģinālās programmas mānīšana un izstrādātāji nebija paredzējuši, ka attapīgie lietotāji apjās nabaga ēzelīti. Tā kā gadījumā, ja jūsu ēzelītis, nemākulīgas rīcības rezultātā, pavisam nejauši nograus jūsu sistēmu, tad vainojiet paši sevi. Vai arī noklusēto vaininieku – Microsoft. Lai gan patiesībā nav tik briesmīgi, ja paši neķersieties pie programmu pārveidošanas. 🙂

Tātad, šo ģeniālo pamācību var atrast Joe Maddalone lapā kā arī turpinājums ar veiksmīgām vai neveiksmīgām atsauksmēm ir lasāms šajā blogā. No pēdējā es arī aizņēmos *pielabotās* Internet Explorer versijas kā arī ņemot vērā rūgto pieredzi ar citām labām un ne tik labām lietām, nolēmu saglabāt arī pašu aprasktu, ja nu gadījumā tas kaut kur pazūd, tad viss velti. webmasterworld.com var palasīt nedaudz par tēmu, kas varētu būt viens no pirmavotiem šim aprakstam.

Pie nosacījuma, ja jums ir uzinstalēts Internet Explorer 6.0, tad iepriekšējās versijas atpakojam savā mapē un mierīgi varam strādāt ar katru atsevišķi. Te būs bilde ar trijotni Microsoft Internet Explorer 5.01, 5.5 un 6.0.

Windows NT4(?), 2000, XP, Server 2003 (verified by Brad Wilson)

Windows 95(?), 98, Me

Tā kā šo failu autors jau sāka uztraukties, laikam pamanīja ciemiņus :), tad nu vēlreiz lielu paldies pateiksim Ryan Parman par piedāvātajiem failiem.

Vēl par tēmu varbūt kāds webmeistars bija palaidis garām iespēju pievienot Internet Explorerirm papildus izvēlnes, lai ātri nomainītu logu izmēru atbilstoši izšķirtspējai.

22 komentāri par “Vairākas Internet Explorer versijas uz vienas sistēmas

  1. K|NG

    Paspēju jau ietestēt. Strādā atpakojot jebkurā direktorijā uzreiz! (gandrīz kā Firebird he). Un dažas lapas rāda attiecīgi līki skatoties tās piemeram ar to IE 5.01. Vispār rulz un gaidīt 4 versiju 😉

    Atbildēt
  2. Optron Parker

    Hmmm… Nez… nekad peec shitaa nau bijusi vajadziiba. Labu kodu, kaut vai vispaar bez browsera var sarakstiit- ir tikai divas lietas, ko es vienmeer atceros:
    1.Neizmantot width atribuutu;
    2.Ja izmanto width atribuuutu, attieciigajai kastei neizmantot padding, margin un border.
    viemeer ir sanaacis ljoti normaali. un iet saakot ar ie5+ un firebirdiem.. Paareejais viss tajaa IE5/6 tachu ir vairaak vai mazaak peec standarta.

    Atbildēt
  3. Kaklz

    Optron Parker: iztikt bez border, padding un margin? heh. Ta jau ir tikai daži varianti: 666 tabulas, header(‘content-type: text/plain’); vai arī lapas saturs ir ģenerēta bilde.

    Atbildēt
  4. StarRider

    CLX: Tu darbaa lieto kraasaino gljuku OS??? Esmu dzilji aizkustinaats (lasi – “frustreets”(=”viilies”, bet man labaak patiik “frustreets”)). Manaa darbinjaa ir politika “no way XP”. Un ja kaadam liidz naak XP licence – metam laukaa pa logu (xp) un liekam 2000

    Atbildēt
  5. kristao

    Nu nez shogad ir jau 2003.g uzskatu ka vecaaku IE par IE6 lietot ir bezjeedziigi. Vismaz kaadu no citiem progresiiviem paarlukiem, opera, mozilla vai to pashu net skapi.

    Atbildēt
  6. Darkz

    Man tomēr kautkā vairāk iegriež, ja lapa ir skatāma tikau uz IE 6.0 un uz Mozilla, jo ja paskatamies statistiku, tad visvairaak jūzeru lieto tieši šos pārlūkus (cik nu es vispār zinu).

    Atbildēt
  7. hu ha

    es taa skatos ka versijas 501 man galiigi negrib raadiit manu veikumu, bet ar 55 jau viss ir kaa naakas. domaajams, ka iztiksim ar 55 😛

    Atbildēt
  8. MZM

    Iedomaajies ku kruta buutu – seedi zem sava Linuxa un darbini vienlaiciigi M$IE 4, 5 un 6, Konqueror, Galeon, Opera, Mozilla, Links 😉 iists web developera sapnis. Tagad WMwaare jaalieto lai to panaaktu.
    PS. Pac sen neesi redzeets, es tepat vien regulaari apgrozos 😉

    Atbildēt

Ieraksti komentāru

Tava e-pasta adrese netiks publicēta.